Bug 485498 - Beginer Guide Install scripts to be included in systemtap rpm
Beginer Guide Install scripts to be included in systemtap rpm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: William Cohen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 14:23 EST by Eric Bachalo
Modified: 2009-09-02 06:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to Install stap-prep script (4.42 KB, patch)
2009-05-19 17:05 EDT, William Cohen
no flags Details | Diff

  None (edit)
Description Eric Bachalo 2009-02-13 14:23:29 EST
Description of problem:

This install script listed in the SystemTap Beginner's Guide should be included in the systemtap and the documentation should indicate how to use the *installed* script.
Comment 1 William Cohen 2009-02-16 14:48:28 EST
Right now the scripts are in the systemtap source repository but they are not actually installed with the systemtap rpm. Any steps to reduce the complexity of setting up a machine to run systemtap would help the system administrators that might be using canned scripts.
Comment 2 Petr Muller 2009-02-26 12:25:00 EST
Is this bug about including stapprep.sh and rheldebugurl.sh scripts? So I know for what to look when I'll be veryfying this.
Comment 3 Petr Muller 2009-03-23 12:07:27 EDT
oops, forgot to add needinfo flag when I asked
Comment 4 William Cohen 2009-03-24 19:05:46 EDT
Yes, the thought is to include those scripts as part of the installation. There is a proposed patch to make these scripts available as part of the installation.
This is discussed at:

http://sources.redhat.com/ml/systemtap/2009-q1/msg00889.html
Comment 7 Frank Ch. Eigler 2009-05-01 14:46:45 EDT
The stapprep.sh script was not listed in the spec file, so it is
not included in the 0.9.7 binary RPM.  (Some lightweight checking
of that script on rhel4 and fedora9 indicates it is not perfect
for those OSs.)
Comment 8 William Cohen 2009-05-06 12:18:39 EDT
Yes, the script doesn't work on RHEL4 because rhel4 doesn't have yumdownloader. How didn't it work for fedora 9? Maybe trying to download debuginfo rpms for kernel that isn't in fedora repo anymore? The debuginfo rpms seemed to be removed from the fedora update repos.
Comment 9 William Cohen 2009-05-06 12:52:13 EDT
For recent versions of fedora need kernel-firmware also.
Comment 12 William Cohen 2009-05-19 17:05:47 EDT
Created attachment 344710 [details]
Changes to Install stap-prep script

The attached patch installs the script stap-prep script as part of the systemtap rpm.
Comment 17 errata-xmlrpc 2009-09-02 06:01:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1313.html

Note You need to log in before you can comment on or make changes to this bug.